petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESLineSearchCreate

Creates the line search context.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchCreate(MPI_Comm comm, SNESLineSearch *outlinesearch)

Logically Collective on Comm

### Input Parameters

comm -MPI communicator for the line search (typically from the associated SNES context).

### Output Parameters

outlinesearch -the new linesearch context

### Notes

The preferred calling sequence for users is to use SNESGetLineSearch() to acquire the SNESLineSearch instance already associated with the SNES. This function is for developer use.

### Keywords

LineSearch, create, context

### See Also

LineSearchDestroy(), SNESGetLineSearch()

Level:developer
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages